
From: Trivial Patch Monkey <trivial@rustcorp.com.au>

From: Steve Youngs <sryoungs@bigpond.net.au> Add module aliases for 21285,
amba, anakin, clps711x, mux, and sa1100 serial drivers.


---

 25-akpm/drivers/serial/21285.c    |    2 ++
 25-akpm/drivers/serial/amba.c     |    2 ++
 25-akpm/drivers/serial/anakin.c   |    2 ++
 25-akpm/drivers/serial/clps711x.c |    2 ++
 25-akpm/drivers/serial/mux.c      |    2 ++
 25-akpm/drivers/serial/sa1100.c   |    1 +
 6 files changed, 11 insertions(+)

diff -puN drivers/serial/21285.c~module-aliases-for-char-devices drivers/serial/21285.c
--- 25/drivers/serial/21285.c~module-aliases-for-char-devices	2004-03-15 23:04:40.875425568 -0800
+++ 25-akpm/drivers/serial/21285.c	2004-03-15 23:04:40.886423896 -0800
@@ -15,6 +15,7 @@
 #include <linux/console.h>
 #include <linux/serial_core.h>
 #include <linux/serial.h>
+#include <linux/device.h>
 
 #include <asm/io.h>
 #include <asm/irq.h>
@@ -543,3 +544,4 @@ module_exit(serial21285_exit);
 
 MODULE_LICENSE("GPL");
 MODULE_DESCRIPTION("Intel Footbridge (21285) serial driver $Revision: 1.37 $");
+MODULE_ALIAS_CHARDEV(SERIAL_21285_MAJOR, SERIAL_21285_MINOR);
diff -puN drivers/serial/amba.c~module-aliases-for-char-devices drivers/serial/amba.c
--- 25/drivers/serial/amba.c~module-aliases-for-char-devices	2004-03-15 23:04:40.876425416 -0800
+++ 25-akpm/drivers/serial/amba.c	2004-03-15 23:04:40.887423744 -0800
@@ -39,6 +39,7 @@
 #include <linux/serial.h>
 #include <linux/console.h>
 #include <linux/sysrq.h>
+#include <linux/device.h>
 
 #include <asm/io.h>
 #include <asm/irq.h>
@@ -758,3 +759,4 @@ module_exit(ambauart_exit);
 MODULE_AUTHOR("ARM Ltd/Deep Blue Solutions Ltd");
 MODULE_DESCRIPTION("ARM AMBA serial port driver $Revision: 1.41 $");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_CHARDEV(SERIAL_AMBA_MAJOR, SERIAL_AMBA_MINOR);
diff -puN drivers/serial/anakin.c~module-aliases-for-char-devices drivers/serial/anakin.c
--- 25/drivers/serial/anakin.c~module-aliases-for-char-devices	2004-03-15 23:04:40.878425112 -0800
+++ 25-akpm/drivers/serial/anakin.c	2004-03-15 23:04:40.887423744 -0800
@@ -30,6 +30,7 @@
 #include <linux/serial.h>
 #include <linux/console.h>
 #include <linux/sysrq.h>
+#include <linux/device.h>
 
 #include <asm/io.h>
 #include <asm/irq.h>
@@ -541,3 +542,4 @@ MODULE_DESCRIPTION("Anakin serial driver
 MODULE_AUTHOR("Tak-Shing Chan <chan@aleph1.co.uk>");
 MODULE_SUPPORTED_DEVICE("ttyAN");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_CHARDEV(SERIAL_ANAKIN_MAJOR, SERIAL_ANAKIN_MINOR);
diff -puN drivers/serial/clps711x.c~module-aliases-for-char-devices drivers/serial/clps711x.c
--- 25/drivers/serial/clps711x.c~module-aliases-for-char-devices	2004-03-15 23:04:40.881424656 -0800
+++ 25-akpm/drivers/serial/clps711x.c	2004-03-15 23:04:40.888423592 -0800
@@ -34,6 +34,7 @@
 #include <linux/console.h>
 #include <linux/sysrq.h>
 #include <linux/spinlock.h>
+#include <linux/device.h>
 
 #include <asm/hardware.h>
 #include <asm/io.h>
@@ -611,3 +612,4 @@ module_exit(clps711xuart_exit);
 MODULE_AUTHOR("Deep Blue Solutions Ltd");
 MODULE_DESCRIPTION("CLPS-711x generic serial driver $Revision: 1.42 $");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_CHARDEV(SERIAL_CLPS711X_MAJOR, SERIAL_CLPS711X_MINOR);
diff -puN drivers/serial/mux.c~module-aliases-for-char-devices drivers/serial/mux.c
--- 25/drivers/serial/mux.c~module-aliases-for-char-devices	2004-03-15 23:04:40.883424352 -0800
+++ 25-akpm/drivers/serial/mux.c	2004-03-15 23:04:40.889423440 -0800
@@ -25,6 +25,7 @@
 #include <linux/console.h>
 #include <linux/slab.h>
 #include <linux/delay.h> /* for udelay */
+#include <linux/device.h>
 #include <asm/io.h>
 #include <asm/parisc-device.h>
 
@@ -535,3 +536,4 @@ module_exit(mux_exit);
 MODULE_AUTHOR("Ryan Bradetich");
 MODULE_DESCRIPTION("Serial MUX driver");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_CHARDEV_MAJOR(MUX_MAJOR);
diff -puN drivers/serial/sa1100.c~module-aliases-for-char-devices drivers/serial/sa1100.c
--- 25/drivers/serial/sa1100.c~module-aliases-for-char-devices	2004-03-15 23:04:40.884424200 -0800
+++ 25-akpm/drivers/serial/sa1100.c	2004-03-15 23:04:40.889423440 -0800
@@ -953,3 +953,4 @@ module_exit(sa1100_serial_exit);
 MODULE_AUTHOR("Deep Blue Solutions Ltd");
 MODULE_DESCRIPTION("SA1100 generic serial port driver $Revision: 1.50 $");
 MODULE_LICENSE("GPL");
+MODULE_ALIAS_CHARDEV_MAJOR(SERIAL_SA1100_MAJOR);

_
